
QGIS Application - Bug report #4010

"Could not open CRS database" message at layer loading

2011-06-22 03:30 AM - jekhor -

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13997

Description

"Could not open CRS database /resources/srs.db<br>Error(14): unable to open database file" message appears when adding any layer.

History

#1 - 2011-06-28 10:14 AM - jekhor -

Seems like memory corruption:

Debug: /home/jek/work/src/qgis/Quantum-GIS/src/core/qgsproviderregistry.cpp: 217: (QgsProviderRegistry) Checking 

/usr/lib/qgis/plugins/libwfsprovider.so : ... loaded ok (null file filters)

Debug: /home/jek/work/src/qgis/Quantum-GIS/src/core/qgsproviderregistry.cpp: 217: (QgsProviderRegistry) Checking 

/usr/lib/qgis/plugins/libwmsprovider.so : ... loaded ok (null file filters)

Debug: /home/jek/work/src/qgis/Quantum-GIS/src/app/qgisapp.cpp: 4615: (loadPythonSupport) load library /lib/qgispython (1.8.0)

Debug: /home/jek/work/src/qgis/Quantum-GIS/src/app/qgisapp.cpp: 4623: (loadPythonSupport) Couldn't load Python support library: Cannot load library

/lib/qgispython: (/lib/libqgispython.so.1.8.0: cannot open shared object file: No such file or directory)

mPkgDataPath variable was purged.

#2 - 2011-06-29 08:15 AM - jekhor -

- Resolution set to invalid

There is bug in my old custom plugin, sorry.

#3 - 2011-08-29 10:50 PM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

#4 - 2011-11-24 12:11 PM - Gavin Fleming

- OS version changed from unstable to 11.10

- Operating System changed from Debian to Ubuntu

- Target version set to Version 1.7.2

- Category set to Projection Support

DISREGARD: Since automatic upgrade from 1.7.1 to 1.7.2 via UbuntuGIS unstable I have been getting the same error.
I reinstalled with apt and all now working again.
